<template>
   <v-app>
      <v-container grid-list-xs>
         
         <v-data-table
            :headers="headers"
            :items="societies"
            class="elevation-1"  
            
         >

            <template slot="items" slot-scope="props">
               <td>{{props.index + 1}}</td>
               <td>{{ props.item.name }}</td>

               <td>{{ props.item.reputation }}</td>

    <button @click="Upvote(props.item)">Thumb up</button>

            </template>
         </v-data-table>
      </v-container>
   </v-app>
</template>

<script>
import { SocietiesService } from "../services/societies";
import { mapState } from 'vuex';
export default {
   
  data () {
      return {
         classement: 0,
        headers: [
            {
            text: 'Classement',
            align: 'left',
            sortable: false,
            value: 'classement'
        },
          {
            text: 'Name',
            align: 'left',
            sortable: false,
            value: 'name'
        },
         {
             text: 'Reputation',
             value: 0,
             align: 'left',
             sortable: false,
         },
        ]
      }
   },
computed: {
    ...mapState(["societies", "reputation"])

  },
  mounted() {
      this.$store.dispatch("fetchSociety");
      // this.Upvote()
  },
   methods: {
        push() {
            this.namePlaylist.push(this.name);
        },
        Upvote(societie){
            this.$store.dispatch("addReputation", societie);
        }
    },
}
</script>

<style>

</style>
